Bug 5400 - Assume fdatasync syscall always exists
Summary: Assume fdatasync syscall always exists
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: ports (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Richard Henderson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-26 00:51 UTC by Aurelien Jarno
Modified: 2014-07-03 12:18 UTC (History)
4 users (show)

See Also:
Host: alphaev68-unknown-linux-gnu
Target: alphaev68-unknown-linux-gnu
Build: alphaev68-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments
Fix fdatasync on alpha (1.42 KB, patch)
2007-11-26 00:52 UTC, Aurelien Jarno
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aurelien Jarno 2007-11-26 00:51:42 UTC
The fdatasync syscall is present for a very long time in the linux kernel 
(since pre 2.0 kernels) on all architectures except alpha. On this architecture 
it has been recently added to the 2.6.22 kernel.

This causes fdatasync() to fail on a glibc compiled against a 2.6.22 kernel run 
on pre 2.6.22 kernel.

Patch will follow.
Comment 1 Aurelien Jarno 2007-11-26 00:52:22 UTC
Created attachment 2108 [details]
Fix fdatasync on alpha
Comment 2 Ulrich Drepper 2008-11-26 23:29:16 UTC
Alpha is not in the main tree anymore since we have no maintainer.  Somebody has
to step up and volunteer to be the maintainer of the alpha ports tree or nothing
will happen.
Comment 3 Matt Turner 2010-05-04 03:01:16 UTC
Richard Henderson fixed this with commit c735022ded3 to glibc-ports.git. Marking
as fixed.
Comment 4 Mike Frysinger 2012-08-17 16:47:02 UTC
Matt: are you sure ?  commit c735022ded3fb7967bf24b9f385cd7f8f1cdea77 updated the fcntl.h header to add the missing bits.  i don't see any fdatasync related changes in there.

we probably want to move the new fdatasync.c to ports/sysdeps/unix/sysv/linux/alpha/ to localize the noise to alpha
Comment 5 Matt Turner 2012-08-17 16:49:42 UTC
(In reply to comment #4)
> Matt: are you sure ?  commit c735022ded3fb7967bf24b9f385cd7f8f1cdea77 updated
> the fcntl.h header to add the missing bits.  i don't see any fdatasync related
> changes in there.
> 
> we probably want to move the new fdatasync.c to
> ports/sysdeps/unix/sysv/linux/alpha/ to localize the noise to alpha

Yeah, I'm wrong it looks like. Sorry about that.
Comment 6 Mike Frysinger 2012-08-17 17:22:13 UTC
updated patch posted here:
http://sourceware.org/ml/libc-ports/2012-08/msg00142.html
Comment 7 Mike Frysinger 2012-08-27 16:16:39 UTC
i've pushed that patch now with Richard's blessing
Comment 8 joseph@codesourcery.com 2012-08-27 16:26:34 UTC
If you commit a patch that fixes a bug, please remember to add that bug to 
the list in NEWS of bugs fixed in the next release.
Comment 9 Mike Frysinger 2012-08-27 17:31:46 UTC
done